# PlanAhead Launch Script
set design_top xadc_eval_design 
set device xc7a200tfbg676-1 
set proj_dir runs 
set impl_const ../../sources/constraints/system.xdc

create_project -name ${design_top} -force -dir "../${proj_dir}" -part ${device}

# Project Settings

#set_property top ${design_top} [current_fileset]
import_files -norecurse ../../sources/ip_cores/system.xmp


add_files -fileset constrs_1 -norecurse ./${impl_const}
set_property used_in_synthesis true [get_files ./${impl_const}]

make_wrapper -files [get_files ../runs/xadc_eval_design.srcs/sources_1/edk/ip_cores/system.xmp] -top -fileset [get_filesets sources_1] -import
update_compile_order -fileset sources_1
update_compile_order -fileset sim_1

